options pagesize=2600 linesize=150 compress=BINARY nocenter NODATE MPRINT MLOGIC;
 
libname OUT 'C:\AHS_09\SEATTLE_CINCH_04_09';


*********************************************************************************************;
ods HTML file="C:\AHS_09\SEATTLE_CINCH_04_09\new_SEATTLE_Rental_Dynamics_04_09_TABLES.XLS" ;

*********************************************************************************************;

PROC SORT DATA=OUT.FORWARD_04_09_SEATTLE; BY CONTROL;RUN;
PROC SORT DATA=OUT.BACKWARD_04_09_SEATTLE; BY CONTROL;RUN;


DATA FORWARD_BACKWARD_04_09_SEATTLE; MERGE OUT.FORWARD_04_09_SEATTLE (IN=ID4) 
OUT.BACKWARD_04_09_SEATTLE (IN=ID9); BY CONTROL;
if ID4=1 then IN04_09_FORWARD=1; if ID9=1 then IN04_09_BACKWARD=1;run;


************************************************************************************************;

/*Definitions of the affordability variables:

FLRENT = 2004 rent category
1 = a non-market rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND (IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       THEN FLRENT=1
2 = an extremely low-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=1 THEN FLRENT=2
3 = a very low-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=2 THEN FLRENT=3
4 = a low-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=3 THEN FLRENT=4
5 = a moderate-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=4 THEN FLRENT=5
6 = a high-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=5 THEN FLRENT=6
7 = a very high-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=6 THEN FLRENT=7
8 = an extremely high-rent rental unit in 2004: 
      IF IN04_OWNRENT_H='2' 
      AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
      AND IN04_COST08RELAMICAT_H=7 THEN FLRENT=8
 . = missing

BLRENT = Current year (2009) rent category
1 = a non-market rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND (IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      THEN BLRENT=1
2 = an extremely low-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =1 THEN BLRENT=2
3 = a very low-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =2 THEN BLRENT=3
4 = a low-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =3 THEN BLRENT=4 
5 = a moderate-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =4 THEN BLRENT=5
6 = a high-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =5 THEN BLRENT=6
7 = a very high-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =6 THEN BLRENT=7
8 = an extremely high-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =7 THEN BLRENT=8
 . = missing

FLAFFORD = Forward rental affordability = affordability status in 2009 of 2004 rental unit
1 = a non-market rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND (IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      THEN FLAFFORD=1
2 = an extremely low-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =1 THEN FLAFFORD=2
3 = a very low-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =2 THEN FLAFFORD=3
4 = a low-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =3 THEN FLAFFORD=4
5 = a moderate-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =4 THEN FLAFFORD=5
6 = a high-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =5 THEN FLAFFORD=6
7 = a very high-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =6 THEN FLAFFORD=7
8 = an extremely high-rent rental unit in 2009: 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =7 THEN FLAFFORD=8
9 = an owner-occupied unit in 2009: 
      IF (IN09_OWNRENT_H='1') THEN FLAFFORD=9
10 = a vacant or seasonal unit in 2009: 
      IF (IN09_VACANCY GE 6) OR (IN09_OWNRENT_H=. 
      AND IN09_VACANCY LE 5) THEN FLAFFORD=10 
11 = a unit not in the 2009 stock: 
      IF ( INTLOSS = 1) THEN FLAFFORD=11
 . = missing

BLAFFORD = Backward rental affordability = affordability status in 2004 of a 2009 rental unit
1 = a non-market rental unit in 2004: 
      IF IN04_OWNRENT_H='2' 
      AND (IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
      THEN BLAFFORD=1
2 = an extremely low-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=1 THEN BLAFFORD=2
3 = a very low-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=2 THEN BLAFFORD=3
4 = a low-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=3 THEN BLAFFORD=4
5 = a moderate-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=4 THEN BLAFFORD=5
6 = a high-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=5 THEN BLAFFORD=6
7 = a very high-rent rental unit in 2004: 
       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=6 THEN BLAFFORD=7
8 = an extremely high-rent rental unit in 2004: 
      IF IN04_OWNRENT_H='2' 
      AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
      AND IN04_COST08RELAMICAT_H=7 THEN BLAFFORD=8
9 = an owner-occupied unit in 2004: 
       IF IN04_OWNRENT_H='1' THEN BLAFFORD=9
10 = a vacant or seasonal unit in 2004: 
       IF (IN04_VACANCY GE 6) OR (IN04_OWNRENT_H=. 
       AND IN04_VACANCY LE 5) THEN BLAFFORD=10
11 = a unit added by new construction: 
       IF INTNC=1 THEN BLAFFORD=11
12 = a unit not in the 2004 stock but not added through new construction: 
       IF INTADD=1 THEN BLAFFORD=12
 . = missing
*/

*************************************************************************************************;


DATA FORWARD_BACKWARD_04_09_SEATTLE; SET FORWARD_BACKWARD_04_09_SEATTLE;


/*FLRENT = 2004 rent category*/


       IF IN04_OWNRENT_H='2' 
       AND (IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       THEN FLRENT=1;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=1 THEN FLRENT=2;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=2 THEN FLRENT=3;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=3 THEN FLRENT=4;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=4 THEN FLRENT=5;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=5 THEN FLRENT=6;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=6 THEN FLRENT=7;

      IF IN04_OWNRENT_H='2' 
      AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
      AND IN04_COST08RELAMICAT_H=7 THEN FLRENT=8;



IF FLRENT=1 THEN FLRENT_C='1-a non-market rental unit in 2004          '; 
       
IF FLRENT=2 THEN FLRENT_C='2-an extremely low-rent rental unit in 2004 '; 
      
IF FLRENT=3 THEN FLRENT_C='3-a very low-rent rental unit in 2004       '; 
       
IF FLRENT=4 THEN FLRENT_C='4-a low-rent rental unit in 2004            '; 
      
IF FLRENT=5 THEN FLRENT_C='5-a moderate-rent rental unit in 2004       '; 
       
IF FLRENT=6 THEN FLRENT_C='6-a high-rent rental unit in 2004           '; 
       
IF FLRENT=7 THEN FLRENT_C='7-a very high-rent rental unit in 2004      '; 
       
IF FLRENT=8 THEN FLRENT_C='8-an extremely high-rent rental unit in 2004'; 
      
IF FLRENT=. THEN FLRENT_C='9-missing                                   ';


/****BLRENT = Current year (2009) rent category****/
 
      IF IN09_OWNRENT_H='2' 
      AND (IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      THEN BLRENT=1;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =1 THEN BLRENT=2;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =2 THEN BLRENT=3;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =3 THEN BLRENT=4;
 
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =4 THEN BLRENT=5;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =5 THEN BLRENT=6;
      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =6 THEN BLRENT=7;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =7 THEN BLRENT=8;




IF BLRENT=1 THEN BLRENT_C='1-a non-market rental unit in 2009          '; 
       
IF BLRENT=2 THEN BLRENT_C='2-an extremely low-rent rental unit in 2009 '; 
      
IF BLRENT=3 THEN BLRENT_C='3-a very low-rent rental unit in 2009       '; 
       
IF BLRENT=4 THEN BLRENT_C='4-a low-rent rental unit in 2009            '; 
      
IF BLRENT=5 THEN BLRENT_C='5-a moderate-rent rental unit in 2009       '; 
       
IF BLRENT=6 THEN BLRENT_C='6-a high-rent rental unit in 2009           '; 
       
IF BLRENT=7 THEN BLRENT_C='7-a very high-rent rental unit in 2009      '; 
       
IF BLRENT=8 THEN BLRENT_C='8-an extremely high-rent rental unit in 2009'; 
      
IF BLRENT=. THEN BLRENT_C='9-missing                                   ';




/*****FLAFFORD = Forward rental affordability = affordability status in 2009 of 2004 rental unit ***/

      IF IN09_OWNRENT_H='2' 
      AND (IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      THEN FLAFFORD=1;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =1 THEN FLAFFORD=2;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =2 THEN FLAFFORD=3;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =3 THEN FLAFFORD=4;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =4 THEN FLAFFORD=5;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =5 THEN FLAFFORD=6;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =6 THEN FLAFFORD=7;

      IF IN09_OWNRENT_H='2' 
      AND NOT(IN09_TENURE='3' OR IN09_ASSISTED_H=1 OR IN09_RENT=1) 
      AND IN09_COST08RELAMICAT_H =7 THEN FLAFFORD=8;

      IF (IN09_OWNRENT_H='1') THEN FLAFFORD=9;

      IF (IN09_VACANCY GE 6) OR (IN09_OWNRENT_H='.' 
      AND IN09_VACANCY LE 5) THEN FLAFFORD=10 ;

      IF ( INTLOSS = 1) THEN FLAFFORD=11;



IF FLAFFORD=1 THEN FLAFFORD_C='1-a non-market rental unit in 2009           '; 
       
IF FLAFFORD=2 THEN FLAFFORD_C='2-an extremely low-rent rental unit in 2009  '; 
      
IF FLAFFORD=3 THEN FLAFFORD_C='3-a very low-rent rental unit in 2009        '; 
       
IF FLAFFORD=4 THEN FLAFFORD_C='4-a low-rent rental unit in 2009             '; 
      
IF FLAFFORD=5 THEN FLAFFORD_C='5-a moderate-rent rental unit in 2009        '; 
       
IF FLAFFORD=6 THEN FLAFFORD_C='6-a high-rent rental unit in 2009            '; 
       
IF FLAFFORD=7 THEN FLAFFORD_C='7-a very high-rent rental unit in 2009       '; 
       
IF FLAFFORD=8 THEN FLAFFORD_C='8-an extremely high-rent rental unit in 2009 '; 

IF FLAFFORD=9 THEN FLAFFORD_C='9-an owner-occupied unit in 2009             '; 

IF FLAFFORD=10 THEN FLAFFORD_C='91-a vacant or seasonal unit in 2009         '; 

IF FLAFFORD=11 THEN FLAFFORD_C='92-a unit not in the 2009 stock              '; 
      
IF FLAFFORD=.  THEN FLAFFORD_C='93-missing                                   ';



/****BLAFFORD = Backward rental affordability = affordability status in 2004 of a 2009 rental unit***/

      IF IN04_OWNRENT_H='2' 
      AND (IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
      THEN BLAFFORD=1;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=1 THEN BLAFFORD=2;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
       AND IN04_COST08RELAMICAT_H=2 THEN BLAFFORD=3;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=3 THEN BLAFFORD=4;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=4 THEN BLAFFORD=5;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=5 THEN BLAFFORD=6;

       IF IN04_OWNRENT_H='2' 
       AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1)
       AND IN04_COST08RELAMICAT_H=6 THEN BLAFFORD=7;

      IF IN04_OWNRENT_H='2' 
      AND NOT(IN04_TENURE='3' OR IN04_Assisted_H=1 OR IN04_RENT=1) 
      AND IN04_COST08RELAMICAT_H=7 THEN BLAFFORD=8;

       IF IN04_OWNRENT_H='1' THEN BLAFFORD=9;

       IF (IN04_VACANCY GE 6) OR (IN04_OWNRENT_H='.' 
       AND IN04_VACANCY LE 5) THEN BLAFFORD=10;

       IF INTNC=1 THEN BLAFFORD=11;

       IF INTADD=1 THEN BLAFFORD=12;



IF BLAFFORD=1  THEN BLAFFORD_C='1-a non-market rental unit in 2004                                    '; 
       
IF BLAFFORD=2  THEN BLAFFORD_C='2-an extremely low-rent rental unit in 2004                           '; 
      
IF BLAFFORD=3  THEN BLAFFORD_C='3-a very low-rent rental unit in 2004                                 '; 
       
IF BLAFFORD=4  THEN BLAFFORD_C='4-a low-rent rental unit in 2004                                      '; 
      
IF BLAFFORD=5  THEN BLAFFORD_C='5-a moderate-rent rental unit in 2004                                 '; 
       
IF BLAFFORD=6  THEN BLAFFORD_C='6-a high-rent rental unit in 2004                                     '; 
       
IF BLAFFORD=7  THEN BLAFFORD_C='7-a very high-rent rental unit in 2004                                '; 
       
IF BLAFFORD=8  THEN BLAFFORD_C='8-an extremely high-rent rental unit in 2004                          '; 

IF BLAFFORD=9  THEN BLAFFORD_C='9-an owner-occupied unit in 2004                                      '; 

IF BLAFFORD=10 THEN BLAFFORD_C='91-a vacant or seasonal unit in 2004                                  '; 

IF BLAFFORD=11 THEN BLAFFORD_C='92-a unit added by new construction                                   '; 

IF BLAFFORD=12 THEN BLAFFORD_C='93-a unit not in the 2004 stock but not added through new construction'; 
      
IF BLAFFORD=.  THEN BLAFFORD_C='94-missing                                                            ';


RUN;

************************************************************************************************************;

/*
Please run:
Frequency distribution of FLRENT using IN04_WEIGHT
Frequency distribution of BLRENT using IN09_WEIGHT

Please run:
Frequency distribution of FLRENT using FLCINCHWT
Frequency distribution of BLRENT using BLCINCHWT

Please run:
Cross tab of FLRENT vs. FLAFFORD using FLCINCHWT
Cross tab of BLRENT vs. BLAFFORD using BLCINCHWT */
**************************************************************************************************************;

DATA OUT.CINCH_04_09_SEATTLE; SET FORWARD_BACKWARD_04_09_SEATTLE;
KEEP CONTROL  IN04_09_FORWARD IN04_09_BACKWARD FLSTATUS FLRENT FLAFFORD 
BLSTATUS BLRENT BLAFFORD FLSTATUS_C FLRENT_C FLAFFORD_C BLSTATUS_C BLRENT_C BLAFFORD_C
IN04_WEIGHT IN09_WEIGHT FLCINCHWT BLCINCHWT  
IN09_SAMEDU  IN09_REUAD 

; RUN;
*****************************************************************************;
Title 'UnWeighted Frequeny distribution of FLRENT ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT/MISSING ;RUN; 

Title 'UnWeighted Frequeny distribution of BLRENT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT/MISSING ;RUN; 


Title 'UnWeighted CROSS TAB of FLRENT WITH FLAFFORD ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT*FLAFFORD/MISSING NOPERCENT NOROW NOCOL ;RUN; 

Title 'UnWeighted CROSS TAB of BLRENT WITH BLAFFORD ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT*BLAFFORD/MISSING NOPERCENT NOROW NOCOL  ;RUN; 

**********************************************************************************;



Title 'Weighted Frequeny distribution of FLRENT using IN04_WEIGHT ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT/MISSING; ;WEIGHT IN04_WEIGHT ;RUN; 

Title 'Weighted Frequeny distribution of BLRENT using IN09_WEIGHT ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT/MISSING; ;WEIGHT IN09_WEIGHT ;RUN; 


Title 'Weighted Frequeny distribution of FLRENT using FLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT/MISSING; ;WEIGHT FLCINCHWT ;RUN; 

Title 'Weighted Frequeny distribution of BLRENT using BLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT/MISSING; ;WEIGHT BLCINCHWT ;RUN; 

Title 'Weighted CROSS TAB of FLRENT WITH FLAFFORD using FLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT*FLAFFORD/MISSING NOPERCENT NOROW NOCOL ;WEIGHT FLCINCHWT ;RUN; 

Title 'Weighted CROSS TAB of BLRENT WITH BLAFFORD using BLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT*BLAFFORD/MISSING NOPERCENT NOROW NOCOL ;WEIGHT BLCINCHWT ;RUN; 

**********************************************************************************;
**********************************************************************************;

Title 'UnWeighted Frequeny distribution of FLRENT_C ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT_C/MISSING ;RUN; 

Title 'UnWeighted Frequeny distribution of BLRENT_C';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT_C/MISSING ;RUN; 


Title 'UnWeighted CROSS TAB of FLRENT_C WITH FLAFFORD_C ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT_C*FLAFFORD_C/MISSING NOPERCENT NOROW NOCOL ;RUN; 

Title 'UnWeighted CROSS TAB of BLRENT_C WITH BLAFFORD_C ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT_C*BLAFFORD_C/MISSING NOPERCENT NOROW NOCOL  ;RUN; 

**********************************************************************************;



Title 'Weighted Frequeny distribution of FLRENT_C using IN04_WEIGHT ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT_C/MISSING; ;WEIGHT IN04_WEIGHT ;RUN; 

Title 'Weighted Frequeny distribution of BLRENT_C using IN09_WEIGHT ';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT_C/MISSING; ;WEIGHT IN09_WEIGHT ;RUN; 


Title 'Weighted Frequeny distribution of FLRENT_C using FLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT_C/MISSING; ;WEIGHT FLCINCHWT ;RUN; 

Title 'Weighted Frequeny distribution of BLRENT_C using BLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT_C/MISSING; ;WEIGHT BLCINCHWT ;RUN; 

Title 'Weighted CROSS TAB of FLRENT_C WITH FLAFFORD_C using FLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_FORWARD=1)) ;
TABLE  FLRENT_C*FLAFFORD_C/MISSING NOPERCENT NOROW NOCOL ;WEIGHT FLCINCHWT ;RUN; 

Title 'Weighted CROSS TAB of BLRENT_C WITH BLAFFORD_C using BLCINCHWT';run;

PROC FREQ DATA=OUT.CINCH_04_09_SEATTLE (where=(IN04_09_BACKWARD=1)) ;
TABLE  BLRENT_C*BLAFFORD_C/MISSING NOPERCENT NOROW NOCOL ;WEIGHT BLCINCHWT ;RUN; 

**********************************************************************************;
*********************************************************************************************;
ods HTML file="C:\AHS_09\SEATTLE_CINCH_04_09\CINCH_04_09_SEATTLE_DATA_CONTENTS.XLS" ;


*********************************************************************************************;
PROC CONTENTS DATA=OUT.CINCH_04_09_SEATTLE; RUN;
